Name:          python-tzlocal
Version:       5.0.1
Release:       1mamba
Summary:       This Python module returns a tzinfo object with the local timezone information
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/tzlocal/
Source:        https://pypi.debian.net/tzlocal/tzlocal-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(backports.zoneinfo)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tzlocal-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/tzlocal-%{version}-py*.egg-info
%{python_sitearch}/tzlocal-%{version}-py*.egg-info/*

%changelog
* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Mon May 15 2023 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-2mamba
- rebuilt with distdeps

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Wed Oct 20 2021 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Sat Aug 14 2021 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-1mamba
- package created using the webbuild interface
